TensorFlow 1.15版本安装及PyCharm环境导入

前段时间人工智能的课,发现教材上面的tensorflow1.13.1版本和以前自己用的2.x版本不太一样,大部分api都不兼容。

在这里,我想抱怨一下本科教科书。计算机教材不能只看“十三五”、“省部级”的标签。并不是这些教科书不好,而是这个行业更新太快了。许多教科书可能会在两三年内出现版本太旧,甚至给出的案例无法运行。

[En]

Here, I would like to complain about undergraduate textbooks. Computer textbooks should not only look at the labels of “13th five-year Plan” and “provincial and ministerial level”. It is not that these textbooks are not good, but that the industry is updating too fast. many textbooks may appear in two or three years that the version is too old, or even the cases given cannot be run.

下面就是tensorflow1.15.0版本安装的踩坑。

1.安装anaconda

官网下载,双击安装。用anaconda就是想使用虚拟环境,万一没弄好直接删了重新搞就行。

下载地址:https://repo.anaconda.com/archive/Anaconda3-2021.11-Windows-x86_64.exe

2.创建虚拟环境

Windows+R打开运行,输入cmd进入命令行。

创建conda虚拟环境,需要输入y/n输入y

conda create -n tensorflow-1.15.0 python=3.6

进入虚拟环境

activate tensorflow-1.15.0

如果命令行前面有虚拟环境的名称,则会在括号中指明。

[En]

If there is a name of your virtual environment in front of the command line, it is indicated in parentheses.

TensorFlow 1.15版本安装及PyCharm环境导入

3.安装tensorflow

更新pip和setuptools(不是必要步骤,有时候会更新失败)

pip install --upgrade pip

python -m pip install --upgrade setuptools

安装grpcio,这个是个大坑, 直接安装tf1.15会出现这安装不上,安装grpcio需要–force-reinstall这个参数

pip install --no-cache-dir  --force-reinstall -Iv grpcio==1.8.6

TensorFlow 1.15版本安装及PyCharm环境导入

然后安装tensorflow1.15即可

pip install tensorflow==1.15.0  -i https://pypi.douban.com/simple/

TensorFlow 1.15版本安装及PyCharm环境导入

至此tf1.15已经安装完成。

4.在PyCharm里面导入

找到file>sittings>python interpreter

点击python interpreter的配置按钮,选择add

TensorFlow 1.15版本安装及PyCharm环境导入

接着选择conda environment,选择已存在的环境(即刚才去创建的conda虚拟环境)

选择将刚才创建的环境的python.exe

文件在anaconda安装目录下envs/

TensorFlow 1.15版本安装及PyCharm环境导入

Original: https://blog.csdn.net/tamako0v0/article/details/123555464
Author: 明天不想吃桃子
Title: TensorFlow 1.15版本安装及PyCharm环境导入

原创文章受到原创版权保护。转载请注明出处:https://www.johngo689.com/496773/

转载文章受原作者版权保护。转载请注明原作者出处!

(0)

大家都在看

亲爱的 Coder【最近整理,可免费获取】👉 最新必读书单  | 👏 面试题下载  | 🌎 免费的AI知识星球